Qt 5.6 | Qt 3D | C++ Classes | QCuboidGeometry

Qt 5.6.3 Reference Documentation

# QCuboidGeometry Class

(Qt3DRender::QCuboidGeometry)

Header: | #include <QCuboidGeometry>
qmake: | QT += 3drender
Instantiated By: | CuboidGeometry
Inherits: | QGeometry

- List of all members, including inherited members

## Properties

- indexAttribute : Qt3DRender::QAttribute * const
- normalAttribute : Qt3DRender::QAttribute * const
- positionAttribute : Qt3DRender::QAttribute * const
- tangentAttribute : Qt3DRender::QAttribute * const
- texCoordAttribute : Qt3DRender::QAttribute * const
- xExtent : float

- xyMeshResolution : QSize
- xzMeshResolution : QSize
- yExtent : float
- yzMeshResolution : QSize
- zExtent : float

- 2 properties inherited from Qt3DRender::QGeometry
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QCuboidGeometry(QNode *parent = Q_NULLPTR)
| ~QCuboidGeometry()
QAttribute * | indexAttribute() const
QAttribute * | normalAttribute() const
QAttribute * | positionAttribute() const
QAttribute * | tangentAttribute() const
QAttribute * | texCoordAttribute() const
void | updateIndices()
void | updateVertices()
float | xExtent() const
QSize | xyMeshResolution() const
QSize | xzMeshResolution() const
float | yExtent() const
QSize | yzMeshResolution() const
float | zExtent() const

- 5 public functions inherited from Qt3DRender::QGeometry
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setXExtent(float xExtent)
void | setXYMeshResolution(const QSize &resolution)
void | setXZMeshResolution(const QSize &resolution)
void | setYExtent(float yExtent)
void | setYZMeshResolution(const QSize &resolution)
void | setZExtent(float zExtent)

- 1 public slot inherited from Qt3DRender::QGeometry
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | xExtentChanged(float xExtent)
void | xyMeshResolutionChanged(const QSize &xyMeshResolution)
void | xzMeshResolutionChanged(const QSize &xzMeshResolution)
void | yExtentChanged(float yExtent)
void | yzMeshResolutionChanged(const QSize &yzMeshResolution)
void | zExtentChanged(float zExtent)

- 1 signal inherited from Qt3DRender::QGeometry
- 2 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DRender::QGeometry
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### indexAttribute : Qt3DRender::QAttribute * const

Holds the geometry index attribute.

Access functions:

QAttribute * | indexAttribute() const

### normalAttribute : Qt3DRender::QAttribute * const

Holds the geometry normal attribute.

Access functions:

QAttribute * | normalAttribute() const

### positionAttribute : Qt3DRender::QAttribute * const

Holds the geometry position attribute.

Access functions:

QAttribute * | positionAttribute() const

### tangentAttribute : Qt3DRender::QAttribute * const

Holds the geometry tangent attribute.

Access functions:

QAttribute * | tangentAttribute() const

### texCoordAttribute : Qt3DRender::QAttribute * const

Holds the geometry texture coordinate attribute.

Access functions:

QAttribute * | texCoordAttribute() const

### xExtent : float

Holds the x extent.

Access functions:

float | xExtent() const
void | setXExtent(float xExtent)

Notifier signal:

void | xExtentChanged(float xExtent)

### xyMeshResolution : QSize

Holds the x-y resolution.

Access functions:

QSize | xyMeshResolution() const
void | setXYMeshResolution(const QSize &resolution)

Notifier signal:

void | xyMeshResolutionChanged(const QSize &xyMeshResolution)

### xzMeshResolution : QSize

Holds the x-z resolution.

Access functions:

QSize | xzMeshResolution() const
void | setXZMeshResolution(const QSize &resolution)

Notifier signal:

void | xzMeshResolutionChanged(const QSize &xzMeshResolution)

### yExtent : float

Holds the y extent.

Access functions:

float | yExtent() const
void | setYExtent(float yExtent)

Notifier signal:

void | yExtentChanged(float yExtent)

### yzMeshResolution : QSize

Holds the y-z resolution.

Access functions:

QSize | yzMeshResolution() const
void | setYZMeshResolution(const QSize &resolution)

Notifier signal:

void | yzMeshResolutionChanged(const QSize &yzMeshResolution)

### zExtent : float

Holds the z extent.

Access functions:

float | zExtent() const
void | setZExtent(float zExtent)

Notifier signal:

void | zExtentChanged(float zExtent)

## Member Function Documentation

### QCuboidGeometry::QCuboidGeometry(QNode *parent = Q_NULLPTR)

Constructs a new QCuboidGeometry with parent.

### QCuboidGeometry::~QCuboidGeometry()

Destroys this geometry.

### void QCuboidGeometry::updateIndices()

Updates indices based on mesh resolutions.

### void QCuboidGeometry::updateVertices()

Updates vertices based on mesh resolutions.